@charset "UTF-8";

*{
    margin: 0%;
    padding: 0%;
}

html{
    scroll-behavior: smooth;
}

body{
height: 300vw;
font-family: "mode-mincho-b-large-std", sans-serif;
font-weight: 500;
font-style: normal;
/* ↓仮背景色 */
background-color: rgb(244, 241, 224);
}

header{

}

h1{
font-family: "mode-mincho-b-large-std", sans-serif;
font-weight: 600;
font-style: normal;
}


nav{
     width: 80%;
    height: 5vw;
    margin-left: 9%;
    margin-bottom: 2%;
    background-color:#fff07b;
    border-radius: 20px;
}

nav ul{
    margin-left: 12%;
    display: flex;
}

nav ul li{
    width: calc( 100%/3 );
    list-style-type: none;
    
}
/* animation入れる */
nav ul li a{
    display: inline-block;
    padding-right: 5%;
    padding-left: 5%;
    color: rgb(40, 37, 37);
    font-size: 2.5vw;
    text-decoration: none;
    position: relative;
}
nav ul li a::after{
    background-color: rgb(255, 217, 0);
    bottom: -0.5px;
    content: "";
    height: 0.8vw;
    left: 0;
    position: absolute;
    transform: scale(0,1);
    transform-origin: center top;
    transition: transform .3s;
    width: 100%;
}

nav ul li a:hover::after{
    transform: scale(1,1);
}

li + li{
    padding-left: 12%;
    border-left: 3px solid rgb(255, 217, 0);
}

/* main */
main{

}

main p{
    white-space: pre-wrap;
    padding-left: 5%
}

.topbutton img{
    position: fixed;
    right: 10px;
    bottom: 50px;
    height: 8vw;
}

h2{
    margin-bottom: 1vw;
}

/* ロゴ */
.flex-image1{
    display: flex;
    height: 20vw;
    margin-left: 5%;
}

.works-logo{
    width: 90%;
    display: flex;
    
}

.works-logo img{
    height: 13vw;
}

.works-logo p{
    width: 60%;
    
}

/* 名刺 */
.flex-image2{  
    height: 46vw;
    margin-left: 5%;
    
}

.works-card1{
    display: flex;
    height: 25vw;
}
.works-card1 img{
    height: 20vw;
}

.works-card1 p{
    width: 100%;
    height: 20vw;
 
}

.works-card2{
    display: flex;
}

.works-card2 img{
    height: 13vw;
}

.works-card2 p{
    width: 100%;
    height: 15vw;
 
}

/* バナー */
.flex-image3{
    display: flex;
    width: 100%;
    height: 25vw;
    margin-left: 5%;


}

.works-banner1{
    display: flex;
    width: 40%;
}

.works-banner1 img{
    height: 18vw;
}

.works-banner1 p{
width: 100%;

}

.works-banner1-2{
    display: flex;
    width: 40%;
}

.works-banner1-2 img{
    height: 18vw;
}

.works-banner1-2 p{
width: 100%;

}

.flex-image3 p{
    height: 25vw;


}

/* バナー2 */
.flex-image4{
    display: flex;

    height: 25vw;
    margin-left: 5%;
}

.works-banner2{
    display: flex;
}

.works-banner2 img{
    height: 18vw;
}

.works-banner2 p{
    width: 100%;
    height: 20vw;
 
}


/* ポスター */
.flex-image5{
    display: flex;
    height: 30vw;
    margin-left: 5%;
}

.works-poster{
    display: flex;
}

.works-poster:nth-of-type(1){
    margin-bottom: 1%;
}

.flex-image5 img{
    height: 25vw;
}


/*  コラージュ*/
.flex-image6{
    display: flex;
    height: 20vw;
    margin-left: 5%;
}

.works-collage{
    width: 100%;
    display: flex;
}

.flex-image6 img{
    height: 15vw;
    max-width: 100%;
}

.flex-image6 p{
    height: 15vw;
}

.flex-image6 p{
    width: 30%;

}

/* GIFアニメーション */
.flex-image7{
    display: flex;
    width: 100%;
    height: 20vw;
    margin-left: 5%;
}

.works-anime{
    display: flex;
    width: 30%;
    height: 15vw;
}

.flex-image7 p{
    display: flex;
    margin-left: 5%;
}

/* サイト */
.flex-image8{
    display: flex;
    height: 30vw;
    margin-left: 5%;

}

.works-site{
    display: flex;
}

.works-site img{
    height: 25vw;
}

/* animation*/
.works-site p:first-of-type{
    display: inline-block;
    padding-right: 5%;
    padding-left: 5%;
    color: rgb(40, 37, 37);
    font-size: 2vw;
    text-decoration: none;
    position: relative;
}

.works-site p::after{
    background-color: rgb(255, 217, 0);
    bottom: -0.5px;
    content: "";
    height: 0.3vw;
    left: 0;
    position: absolute;
    transform: scale(0,1);
    transform-origin: center top;
    transition: transform .3s;
    width: 100%;
}

.works-site p:hover::after{
    transform: scale(1,1);
}

/* animation */
.text-box{
    height: 15vw;
    margin-left: 5%;
    margin-right: 5%;
    display: flex;

}

.text1{
    width: calc(100%/3) ;
   
}

.text2{
    width: calc(100%/3) ;
  
}

.text3{
    width: calc(100%/3) ;
   
}

.text-box p {
    width: 100%;
    font-size: 1vw;
}

/* animation */

.works-site img:hover{
    background-color: rgb(46, 41, 45);
    opacity: 0.5;
}

/* footerここから */
footer nav{
    margin-top: 10vw;
}

footer p{
    height: 10vw;
    margin-top: 3%;
    background-color: #72E3FD;
}

footer p span{
    margin-left: 0.3em;
    margin-right: 0.3em;
}